Dragons RFC vs Zebre Parma · United Rugby Championship


Vooruitblik
Dragons RFC speelt op zaterdag 31 oktober 2026 thuis tegen Zebre Parma in Newport (Rodney Parade) (United Rugby Championship, speelronde 5). Dragons RFC staat 8e met één overwinning uit drie wedstrijden; Zebre Parma staat 16e zonder overwinning uit drie wedstrijden, na drie nederlagen op rij.
Dragons RFC won 5 van de laatste 9 onderlinge duels; het laatste duel, in april 2026, won Dragons RFC met 19-18.
Automatisch geschreven op basis van de wedstrijdgegevens; wordt bijgewerkt zodra uitslagen binnenkomen.
Onderlinge duels
Laatste 9 onderlinge duels, sinds oktober 2020
Laatste 5 duels
- 24 apr 2026 · United Rugby ChampionshipZebre Parma18Dragons RFC1924 apr 2026Zebre Parma18–19Dragons RFCUnited Rugby Championship
- 11 apr 2026 · Challenge CupZebre Parma32Dragons RFC3511 apr 2026Zebre Parma32–35Dragons RFCChallenge Cup
- 28 feb 2025 · United Rugby ChampionshipZebre Parma31Dragons RFC2128 feb 2025Zebre Parma31–21Dragons RFCUnited Rugby Championship
- 29 mrt 2024 · United Rugby ChampionshipDragons RFC20Zebre Parma1329 mrt 2024Dragons RFC20–13Zebre ParmaUnited Rugby Championship
- 13 jan 2024 · Challenge CupZebre Parma20Dragons RFC1713 jan 2024Zebre Parma20–17Dragons RFCChallenge Cup